package com.qianhe.service;

import com.qianhe.domain.SjGfjsYdjcjl;

import java.util.List;

/**
 * 规范建设 月度检查记录Service业务层处理
 *
 * @author qianhe
 * @date 2024-07-23
 */
public interface ISjGfjsYdjcjlService
{
    /**
     * 查询指导帮扶-基层单位问题采集
     *
     * @param id 指导帮扶-基层单位问题采集主键
     * @return 指导帮扶-基层单位问题采集
     */
    public SjGfjsYdjcjl selectSjGfjsYdjcjlById(Long id);

    /**
     * 查询指导帮扶-基层单位问题采集列表
     *
     * @param sjGfjsYdjcjl 指导帮扶-基层单位问题采集
     * @return 指导帮扶-基层单位问题采集集合
     */
    public List<SjGfjsYdjcjl> selectSjGfjsYdjcjlList(SjGfjsYdjcjl sjGfjsYdjcjl);

    public List<SjGfjsYdjcjl> selectSjGfjsYdjcjlList_main(SjGfjsYdjcjl sjGfjsYdjcjl);

    /**
     * 新增指导帮扶-基层单位问题采集
     *
     * @param sjGfjsYdjcjl 指导帮扶-基层单位问题采集
     * @return 结果
     */
    public int insertSjGfjsYdjcjl(SjGfjsYdjcjl sjGfjsYdjcjl);

    /**
     * 修改指导帮扶-基层单位问题采集
     *
     * @param sjGfjsYdjcjl 指导帮扶-基层单位问题采集
     * @return 结果
     */
    public int updateSjGfjsYdjcjl(SjGfjsYdjcjl sjGfjsYdjcjl);
    public int tjSjGfjsYdjcjl(SjGfjsYdjcjl sjGfjsYdjcjl);//月度检查记录提交
    public int sh(SjGfjsYdjcjl sjGfjsYdjcjl);//月度检查记录提交

    /**
     * 批量删除指导帮扶-基层单位问题采集
     *
     * @param ids 需要删除的指导帮扶-基层单位问题采集主键集合
     * @return 结果
     */
    public int deleteSjGfjsYdjcjlByIds(Long[] ids);

    /**
     * 删除指导帮扶-基层单位问题采集信息
     *
     * @param id 指导帮扶-基层单位问题采集主键
     * @return 结果
     */
    public int deleteSjGfjsYdjcjlById(Long id);

//    int batchSave(List<SjGfjsYdjcjl> list);

}
